package cd.casic.ci.common.pipeline.pojo.transfer;

import cd.casic.ci.common.pipeline.pojo.PipelineModelAndSetting;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：TransferBody
 * @Date：2025/03/26 11:03
 * @Filename：TransferBody
 * @description：Todo
 */
@Data
@Schema(title = "互转入口")
public class TransferBody {
    @Schema(title = "当前modelAndSetting,model转yaml时需带上")
    private PipelineModelAndSetting modelAndSetting;
    @Schema(title = "当前yaml内容，model转yaml以及yaml转model都需要带上,如果首次互转没有就传空")
    private String oldYaml = "";
    @Schema(title = "yaml内容的来源yaml文件名（用于流水线名称的缺省值）")
    private String yamlFileName;
}