package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author by mianbin
 * @Classname VMWithPage
 * @Description TODO
 * @Date 2025/4/8 16:43
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "VM-分页-基本信息")
public class VMWithPage {
    @Schema(title = "VM总数", required = true)
    private Integer total;
    @Schema(title = "VM列表", required = true)
    private List<VMResponse> vms;
}
