package cd.casic.pipeline.dispatch.pojo.thirdpartyagent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname ThirdPartyBuildWithStatus
 * @Description TODO
 * @Date 2025/4/8 16:35
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "第三方构建信息模型")
public class ThirdPartyBuildWithStatus {
    @Schema(title = "项目id")
    private String projectId;
    @Schema(title = "构建id")
    private String buildId;
    @Schema(title = "构建环境id")
    private String vmSeqId;
    @Schema(title = "工作空间")
    private String workspace;
    @Schema(title = "流水线id")
    private String pipelineId;
    @Schema(title = "是否成功")
    private boolean success;
    @Schema(title = "message信息")
    private String message;
    @Schema(title = "错误信息")
    private Error error;
    @Schema(title = "流水线执行次数")
    private Integer executeCount;
}
