package cd.casic.pipeline.dispatch.pojo.thirdpartyagent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname ThirdPartyDockerDebugDoneInfo
 * @Description TODO
 * @Date 2025/4/8 16:35
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "第三方构建Docker登录调试完成信息")
public class ThirdPartyDockerDebugDoneInfo {
    @Schema(title = "项目id")
    private String projectId;
    @Schema(title = "debugId")
    private Long debugId;
    @Schema(title = "流水线id")
    private String pipelineId;
    @Schema(title = "debug链接")
    private String debugUrl;
    @Schema(title = "是否成功")
    private boolean success;
    @Schema(title = "错误信息")
    private Error error;
}
