package cd.casic.ci.log.config;

import lombok.val;
import org.springframework.boot.autoconfigure.AutoConfigureOrder;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.Ordered;

import java.time.Duration;

/**
 * @Author：mianbin
 * @Package：cd.casic.pipeline.config
 * @Project：ops-pro
 * @name：LogPrinterConfiguration
 * @Date：2025/03/24 10:45
 * @Filename：LogPrinterConfiguration
 * @description：Todo暂时日志的先放着
 */
@Configuration
@ConditionalOnWebApplication
@AutoConfigureOrder(Ordered.LOWEST_PRECEDENCE)
public class LogPrinterConfiguration {


}
