package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineGroup
 * @Date：2025/03/24 19:50
 * @Filename：PipelineGroup
 * @description：Todo
 */
@Data
@Schema(title = "流水线标签组模型")
public class PipelineGroup {
    @Schema(title = "id", required = false)
    private String id;
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "名称", required = false)
    private String name;
    @Schema(title = "创建时间", required = false)
    private Long createTime;
    @Schema(title = "更新时间", required = false)
    private Long updateTime;
    @Schema(title = "创建者", required = false)
    private String createUser;
    @Schema(title = "更新者", required = false)
    private String updateUser;
    @Schema(title = "流水线标签", required = false)
    private List<PipelineLabel> labels;
}
