package cd.casic.pipeline.store.pojo.common.logo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "logo信息")
public class Logo {
    @Schema(title = "logoID", required = true)
    private String id;
    
    @Schema(title = "logo链接", required = true)
    private String logoUrl;
    
    @Schema(title = "类别 ATOM:原子 TEMPLATE:模板 BANNER:banner", required = true)
    private String logoType;
    
    @Schema(title = "展示顺序", required = true)
    private int order;
    
    @Schema(title = "点击logo后的跳转链接")
    private String link;
    
    @Schema(title = "创建日期")
    private String createTime;
    
    @Schema(title = "更新日期")
    private String updateTime;
    
    @Schema(title = "创建人", required = true)
    private String creator;
    
    @Schema(title = "最近修改人", required = true)
    private String modifier;
}