package cd.casic.plugin;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin
 * @Project：ops
 * @name：PluginBean
 * @Date：2024/03/18 14:48
 * @Filename：PluginBean
 * @description：Ops 插件的bean
 */
@Data
public class PluginBean implements Serializable {
    private static final long serialVersionUID = 7817277417501722377L;
//    @ApiModelProperty(value="插件ID",name="id")
    private Long id;

//    @ApiModelProperty(value="插件名",name="name")
    private String name;

//    @ApiModelProperty(value="插件路径",name="path")
    private String path;

//    @ApiModelProperty(value="插件描述",name="desc")
    private String desc;

//    @ApiModelProperty(value="插件版本",name="version")
    private String version;

//    @ApiModelProperty(value="插件作者",name="author")
    private String author;

//    @ApiModelProperty(value="创建时间",name="createTime")
    private Date createTime;

//    @ApiModelProperty(value="更新时间",name="updateTime")
    private Date updateTime;

//    @ApiModelProperty(value="插件状态",name="status")
    private Integer status = 0;

}
