package cd.casic.ci.common.pipeline.pojo.element;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element
 * @Project：ops-pro
 * @name：ElementPostInfo
 * @Date：2025/03/26 16:25
 * @Filename：ElementPostInfo
 * @description：Todo
 */
@Data
@Schema(title = "元素post信息")
@AllArgsConstructor
public class ElementPostInfo {
    @Schema(title = "入口参数")
    private String postEntryParam;
    @Schema(title = "执行条件")
    private String postCondition;
    @Schema(title = "父元素ID")
    private String parentElementId;
    @Schema(title = "父元素名称")
    private String parentElementName;
    @Schema(title = "父元素在job中的位置")
    private int parentElementJobIndex;
}
