package cd.casic.pipeline.environment.pojo.thirdpartyagent.pipeline;

import cd.casic.pipeline.environment.pojo.thirdpartyagent.ThirdPartyAgentPipeline;
import lombok.Getter;

@Getter
public class FilePipeline extends ThirdPartyAgentPipeline {
    private final FilePipelineOperation operation;
    private final String file;

    public FilePipeline(FilePipelineOperation operation, String file, String seqId) {
        super(PipelineType.FILE, seqId);
        this.operation = operation;
        this.file = file;
    }

    public enum FilePipelineOperation {
        DOWNLOAD,
        UPLOAD
    }
} 