package cd.casic.ci.log.scm.enums;


/**
 * @author mianbin
 * @Classname CodeGitWebhookEvent
 * @date 2025/3/18 14:45
 */

public enum CodeGitWebhookEvent {
    PUSH_EVENTS("push_events"),
    TAG_PUSH_EVENTS("tag_push_events"),
    ISSUES_EVENTS("issues_events"),
    MERGE_REQUESTS_EVENTS("merge_requests_events"),
    NOTE_EVENTS("note_events"),
    ENABLE_SSL_VERIFICATION("enable_ssl_verification"),
    REVIEW_EVENTS("review_events");

    private String value;

    CodeGitWebhookEvent(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public static CodeGitWebhookEvent find(String event) {
        for (CodeGitWebhookEvent it : CodeGitWebhookEvent.values()) {
            if (it.value.equals(event)) {
                return it;
            }
        }
        return null;
    }
}
