package cd.casic.pipeline.store.pojo.common;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Set;

@Data
@Schema(title = "研发商店错误码信息")
public class StoreErrorCodeInfo {
    @Schema(title = "store代码")
    private String storeCode;
    
    @Schema(title = "store组件类型")
    private StoreTypeEnum storeType;
    
    @Schema(title = "错误码集合")
    private Set<Integer> errorCodes;
}