package cd.casic.pipeline.store.pojo.common;

import cd.casic.pipeline.store.pojo.common.enums.RdTypeEnum;
import cd.casic.pipeline.store.pojo.common.enums.StoreSortTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Set;

@Data
@Schema(title = "研发商店-查询组件条件")
public class StoreInfoQuery {
    @Schema(title = "组件类型", required = true)
    private String storeType;
    
    @Schema(title = "普通组件代码列表", required = false)
    private Set<String> normalStoreCodes;
    
    @Schema(title = "调试组件代码列表", required = false)
    private Set<String> debugStoreCodes;
}