package cd.casic.pipeline.store.pojo.common.sensitive;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "敏感API申请请求体")
public class SensitiveApiApplyReq {
    @Schema(title = "api列表", required = true)
    private List<String> apiNameList;
    
    @Schema(title = "申请说明", required = true)
    private String applyDesc;
    
    @Schema(title = "开发语言", required = true)
    private String language = "";
}